Skip to main content
PATCH
Edit a received invoice (review)

Path Parameters

id
string
required

Invoice ID

Example:

"42"

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
documentType
enum<string>

invoice, receipt and credit_note book journals (a credit note reverses them); other never books.

Available options:
invoice,
receipt,
credit_note,
other
vendorName
string | null
Maximum string length: 300
vendorVatId
string | null
Maximum string length: 100
vendorIban
string | null
Maximum string length: 100
invoiceNumber
string | null
Maximum string length: 100
invoiceDate
string | null

yyyy-MM-dd (UTC). Null clears. An impossible day 400s.

dueDate
string | null

yyyy-MM-dd (UTC). Null clears.

glImpactDate
string | null

yyyy-MM-dd (UTC) GL posting day override; null returns to the invoice date.

currency
string | null

ISO 4217 code, e.g. "EUR".

totalAmount
string | null

Decimal string. A non-decimal 400s.

netAmount
string | null
vatAmount
string | null
account
string

GL account CODE from the chart of accounts (GET /company). Free text is not resolved.

Maximum string length: 100
vat
string

Tax rate NAME from the company catalog (GET /taxes) or "no-vat".

Maximum string length: 100
note
string
Maximum string length: 2000
exchangeRate
object | null

Manual FX rate used at approval instead of the automatic day rate. Null returns to automatic. Same-currency invoices ignore it.

Response

Invoice updated

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on November 13, 2026